<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.IntImpAccidentVisaBean" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <!-- 外层容器承载间距 -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:orientation="vertical">

        <!-- 侧滑布局 -->
        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:id="@+id/swipe_menu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!-- 主列表项容器 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_item"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">

                <!-- 左侧选中图标 -->
                <ImageView
                    android:id="@+id/iv_icon"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:src="@drawable/img_plane"
                    loadImage="@{bean.checked.get() ? @drawable/img_plane_s : @drawable/img_plane}" />

                <!-- 中间内容区 -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <!-- 第一行：航班日期 | 始发站 | 运单总件数 | 不正常件数 | 运单号 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical">

                        <!-- 航班日期 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="航班日期："
                                android:textSize="15sp"
                                completeSpace="@{5}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.fdate}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 始发站 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.7"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="始发站："
                                android:textSize="15sp"
                                completeSpace="@{4}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.dep}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 运单总件数 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.8"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="运单总件数："
                                android:textSize="15sp"
                                completeSpace="@{6}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{String.valueOf(bean.pc)}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 不正常件数 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.0"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="不正常件数："
                                android:textSize="15sp"
                                completeSpace="@{6}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{String.valueOf(bean.dpc)}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 运单号 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="运单号："
                                android:textSize="15sp"
                                completeSpace="@{5}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.wbNo}"
                                android:textColor="@color/colorPrimary"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <!-- 第二行：航班号 | 目的站 | 运单总重量 | 经办人 | 经办时间 -->
                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:gravity="center_vertical">

                        <!-- 航班号 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="航班号："
                                android:textSize="15sp"
                                completeSpace="@{5}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.fno}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 目的站 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.7"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="目的站："
                                android:textSize="15sp"
                                completeSpace="@{4}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.dest}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 运单总重量 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="0.8"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="运单总重量："
                                android:textSize="15sp"
                                completeSpace="@{6}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{String.valueOf(bean.weight)}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 经办人 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.0"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="经办人："
                                android:textSize="15sp"
                                completeSpace="@{6}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.opId}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 经办时间 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.2"
                            android:gravity="center_vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="经办时间："
                                android:textSize="15sp"
                                completeSpace="@{5}" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{bean.opdate}"
                                android:textSize="15sp" />

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </LinearLayout>

                <!-- 右侧箭头 -->
                <ImageView
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    android:layout_marginLeft="10dp"
                    android:src="@drawable/img_pda_right" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 侧滑菜单按钮区 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <!-- 修改按钮 -->
                <TextView
                    android:id="@+id/btn_edit"
                    style="@style/tv_item_action"
                    android:background="@color/colorPrimary"
                    android:text="修改" />

                <!-- 删除按钮 -->
                <TextView
                    android:id="@+id/btn_delete"
                    style="@style/tv_item_action"
                    android:background="@color/red"
                    android:text="删除" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </LinearLayout>

</layout>
